Package org.eclipse.handly.ui.preference

# Class DualPreferenceStore

java.lang.Object
org.eclipse.handly.ui.preference.DualPreferenceStore

All Implemented Interfaces:
  `org.eclipse.jface.preference.IPreferenceStore`

public class DualPreferenceStore extends Object implements org.eclipse.jface.preference.IPreferenceStore
A preference store that delegates reads and writes to separate stores.

- ## Field Summary

  ### Fields inherited from interface org.eclipse.jface.preference.IPreferenceStore

  `BOOLEAN_DEFAULT_DEFAULT, DOUBLE_DEFAULT_DEFAULT, FALSE, FLOAT_DEFAULT_DEFAULT, INT_DEFAULT_DEFAULT, LONG_DEFAULT_DEFAULT, STRING_DEFAULT_DEFAULT, TRUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DualPreferenceStore(org.eclipse.jface.preference.IPreferenceStore readOnlyStore, org.eclipse.jface.preference.IPreferenceStore writableStore)`
  Creates a new preference store that will delegate reads and writes to separate stores: one of them may be read-only and another must be writable.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)`
  `boolean`
  `contains(String name)`
  `void`
  `firePropertyChangeEvent(String name, Object oldValue, Object newValue)`
  `boolean`
  `getBoolean(String name)`
  `boolean`
  `getDefaultBoolean(String name)`
  `double`
  `getDefaultDouble(String name)`
  `float`
  `getDefaultFloat(String name)`
  `int`
  `getDefaultInt(String name)`
  `long`
  `getDefaultLong(String name)`
  `String`
  `getDefaultString(String name)`
  `double`
  `getDouble(String name)`
  `float`
  `getFloat(String name)`
  `int`
  `getInt(String name)`
  `long`
  `getLong(String name)`
  `String`
  `getString(String name)`
  `boolean`
  `isDefault(String name)`
  `boolean`
  `needsSaving()`
  `void`
  `putValue(String name, String value)`
  `void`
  `removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)`
  `void`
  `setDefault(String name, boolean value)`
  `void`
  `setDefault(String name, double value)`
  `void`
  `setDefault(String name, float value)`
  `void`
  `setDefault(String name, int value)`
  `void`
  `setDefault(String name, long value)`
  `void`
  `setDefault(String name, String value)`
  `void`
  `setToDefault(String name)`
  `void`
  `setValue(String name, boolean value)`
  `void`
  `setValue(String name, double value)`
  `void`
  `setValue(String name, float value)`
  `void`
  `setValue(String name, int value)`
  `void`
  `setValue(String name, long value)`
  `void`
  `setValue(String name, String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DualPreferenceStore

    public DualPreferenceStore(org.eclipse.jface.preference.IPreferenceStore readOnlyStore, org.eclipse.jface.preference.IPreferenceStore writableStore)
    Creates a new preference store that will delegate reads and writes to separate stores: one of them may be read-only and another must be writable.
    Parameters:
      `readOnlyStore` - the preference store to read from, usually a chained one (not `null`)
      `writableStore` - the preference store to write to, cannot be a chained one (not `null`)

- ## Method Details

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)
    Specified by:
      `addPropertyChangeListener` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### contains

    public boolean contains(String name)
    Specified by:
      `contains` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### firePropertyChangeEvent

    public void firePropertyChangeEvent(String name, Object oldValue, Object newValue)
    Specified by:
      `firePropertyChangeEvent` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getBoolean

    public boolean getBoolean(String name)
    Specified by:
      `getBoolean` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getDefaultBoolean

    public boolean getDefaultBoolean(String name)
    Specified by:
      `getDefaultBoolean` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getDefaultDouble

    public double getDefaultDouble(String name)
    Specified by:
      `getDefaultDouble` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getDefaultFloat

    public float getDefaultFloat(String name)
    Specified by:
      `getDefaultFloat` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getDefaultInt

    public int getDefaultInt(String name)
    Specified by:
      `getDefaultInt` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getDefaultLong

    public long getDefaultLong(String name)
    Specified by:
      `getDefaultLong` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getDefaultString

    public String getDefaultString(String name)
    Specified by:
      `getDefaultString` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getDouble

    public double getDouble(String name)
    Specified by:
      `getDouble` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getFloat

    public float getFloat(String name)
    Specified by:
      `getFloat` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getInt

    public int getInt(String name)
    Specified by:
      `getInt` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getLong

    public long getLong(String name)
    Specified by:
      `getLong` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### getString

    public String getString(String name)
    Specified by:
      `getString` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### isDefault

    public boolean isDefault(String name)
    Specified by:
      `isDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### needsSaving

    public boolean needsSaving()
    Specified by:
      `needsSaving` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### putValue

    public void putValue(String name, String value)
    Specified by:
      `putValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)
    Specified by:
      `removePropertyChangeListener` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setDefault

    public void setDefault(String name, double value)
    Specified by:
      `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setDefault

    public void setDefault(String name, float value)
    Specified by:
      `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setDefault

    public void setDefault(String name, int value)
    Specified by:
      `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setDefault

    public void setDefault(String name, long value)
    Specified by:
      `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setDefault

    public void setDefault(String name, String value)
    Specified by:
      `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setDefault

    public void setDefault(String name, boolean value)
    Specified by:
      `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setToDefault

    public void setToDefault(String name)
    Specified by:
      `setToDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setValue

    public void setValue(String name, double value)
    Specified by:
      `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setValue

    public void setValue(String name, float value)
    Specified by:
      `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setValue

    public void setValue(String name, int value)
    Specified by:
      `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setValue

    public void setValue(String name, long value)
    Specified by:
      `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setValue

    public void setValue(String name, String value)
    Specified by:
      `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`

  - ### setValue

    public void setValue(String name, boolean value)
    Specified by:
      `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`